Go to the first, previous, next, last section, table of contents.

## Annotate command

Command: cvs annotate [`-lf`] [`-r rev`|`-D date`] files ...

  For each file in files, print the head revision of the trunk, together with information on the last modification for each line. For example:

      $ cvs annotate ssfile
      Annotations for ssfile
      ***************
      1.1          (mary     27-Mar-96): ssfile line 1
      1.2          (joe      28-Mar-96): ssfile line 2

  The file ``ssfile'` currently contains two lines. The `ssfile line 1` line was checked in by `mary` on March 27. Then, on March 28, `joe` added a line `ssfile line 2`, without modifying the `ssfile line 1` line. This report doesn't tell you anything about lines which have been deleted or replaced; you need to use `cvs diff` for that (see section diff--Run diffs between revisions).

These standard options are available with `annotate` (see section Common command options, for a complete description of them):

`-D date`
  Annotate the most recent revision no later than date.
`-f`
  Only useful with the ``-D date'` or ``-r tag'` flags. If no matching revision is found, annotate the most recent revision (instead of ignoring the file).
`-l`
  Local; run only in current working directory. See section Recursive behavior.
`-r tag`
  Annotate revision tag.

Go to the first, previous, next, last section, table of contents.